//
//  MedtechDetectorConstruction.hh
//  medtech
//
//  Created by Baranyai David on 2018. 04. 01..
//

#ifndef MedtechDetectorConstruction_hh
#define MedtechDetectorConstruction_hh

#include <stdio.h>
#include "G4VUserDetectorConstruction.hh"
#include "G4Box.hh"
#include "globals.hh"
#include "G4SystemOfUnits.hh"
#include "G4LogicalVolume.hh"
#include "G4PVPlacement.hh"
#include "G4ThreeVector.hh"
#include "G4NistManager.hh"
#include "G4Material.hh"
#include "G4SubtractionSolid.hh"
#include "Parameters.hh"
#include "G4Tet.hh"
#include "G4UnionSolid.hh"
#include "G4Cons.hh"
#include "G4Tubs.hh"
#include "G4VPVParameterisation.hh"
#include "G4RotationMatrix.hh"
#include "G4PVReplica.hh"
#include "G4Orb.hh"
#include "G4Sphere.hh"

class MedtechDetectorConstruction : public G4VUserDetectorConstruction
{
public:
    MedtechDetectorConstruction();
    virtual ~MedtechDetectorConstruction();
    virtual G4VPhysicalVolume* Construct();
    
    G4LogicalVolume* GetScoringVolume() const { return fScoringVolume; }
    
protected:
    G4LogicalVolume*  fScoringVolume;
};

#endif /* MedtechDetectorConstruction_hh */
